package com.ytpm.dao.qnmjz;

import com.ytpm.app.model.YtDyzAdRecord;
import com.ytpm.app.param.YtAppUserListParam;
import org.apache.ibatis.annotations.Param;
import org.mybatis.spring.annotation.MapperScan;

import java.math.BigDecimal;
import java.util.List;

@MapperScan
public interface QnmAdRecordMapper {
    /**
     * 新增广告记录
     */
    void addOne(YtDyzAdRecord adRecord);
    /**
     * 查询用户的广告记录
     */
    List<YtDyzAdRecord> getByUserId(@Param("userId") String userId, @Param("adsourceType") Integer adsourceType);

    /**
     * 查询激励视频记录
     */
    List<YtDyzAdRecord> getByUserIds(@Param("userIds") String userIds);
    /**
     * 根据时间统计收益
     */
    BigDecimal getRevenueByTime(YtAppUserListParam param);
}
